## org.apache.mahout.fpm.pfpgrowth.convertors
Class ContextWriteOutputCollector<IK extends org.apache.hadoop.io.Writable,IV extends org.apache.hadoop.io.Writable,K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.ContextWriteOutputCollector<IK,IV,K,V>

Type Parameters:
  `IK` -
  `IV` -
  `K` -
  `V` -

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputCollector<K,V>

    public class ContextWriteOutputCollector<IK extends org.apache.hadoop.io.Writable,IV extends org.apache.hadoop.io.Writable,K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>

extends Object
implements org.apache.hadoop.mapred.OutputCollector<K,V>

An output collector for `Reducer` for PFPGrowth which updates the status as well as writes the patterns generated by the algorithm

Constructor Summary
`ContextWriteOutputCollector(org.apache.hadoop.mapreduce.Reducer.Context context)`

Method Summary
`void` `collect(K key, V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextWriteOutputCollector

    public ContextWriteOutputCollector(org.apache.hadoop.mapreduce.Reducer.Context context)

Method Detail

### collect

    public final void collect(K key,
                              V value)
                       throws IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<K extends org.apache.hadoop.io.Writable,V extends org.apache.hadoop.io.Writable>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.